package cn.muchinfo.rma.view.base.future.costs

import java.io.Serializable

class CostInfoData : Serializable {
    private var leftText: String? = null
    private var rightText: String? = null
    private var leftStyle: Int = 0
    private var rightStyle: Int = 0
    private var rightTextPadding: Int = 0
    private var leftTextPadding: Int = 0

    fun getLeftText() : String {
        return leftText!!
    }
    fun getRightText() : String {
        return rightText!!
    }
    fun getLeftStyle() : Int {
        return leftStyle
    }
    fun getRightStyle() : Int {
        return rightStyle
    }
    fun getRightTextPadding() : Int {
        return rightTextPadding
    }
    fun getLeftTextPadding() : Int {
        return leftTextPadding
    }

    fun setLeftText(leftText: String?) {
        this.leftText = leftText
    }
    fun setRightText(rightText: String?) {
        this.rightText = rightText
    }
    fun setLeftStyle(leftStyle: Int) {
        this.leftStyle = leftStyle
    }
    fun setRightStyle(rightStyle: Int) {
        this.rightStyle = rightStyle
    }
    fun setRightTextPadding(rightTextPadding: Int) {
        this.rightTextPadding = rightTextPadding
    }
    fun setLeftTextPadding(leftTextPadding: Int) {
        this.leftTextPadding = leftTextPadding
    }
}